import CryptoJS from 'crypto-js';
import crypto from 'crypto';

export default class Encriptor {

  static UUID() {
    return crypto.randomUUID();
  }

  constructor(password, salt) {
    this._password = password;
    this._salt = salt;
    this._key = this._createKey();
  }

  encrypt(message) {
    const encrypted = CryptoJS.AES.encrypt(message, this._key).toString();
    return encrypted;
  }

  decrypt(diggest) {
    const bytes = CryptoJS.AES.decrypt(diggest, this._key);
    return bytes.toString(CryptoJS.enc.Utf8);
  }

  _createKey() {
    return CryptoJS.PBKDF2(this._password, this._salt, {
      keySize: 256 / 32,
      iterations: 1000
    }).toString();
  }
}

