import dotenv from 'dotenv';

export default class Environment {

  static LOADED = false;

  static init() {
    if (!this.LOADED) {
      dotenv.config();
      this.LOADED = true;
    }
  }

  static LOG_LEVEL() {
    return this.read('LOG_LEVEL');
  }

  // this will be deprecated soon.
  static DEBUG() {
    return this.bool('DEBUG');
  }

  static MEASURE() {
    return this.bool('MEASURE');
  }

  static bool(key) {
    return this.read(key) === 'true';
  }

  static read(key) {
    return process.env[key];
  }

}
