import Environment from './Environment.js';
import Job from './Job.js';

export default class JobsManager {

  static JOBS = [];

  static startJobs() {
    if (Environment.read('JOBS') === 'false') return;

    this._startJobs();
  }

  static add(cronTime, callback, description = 'Custom') {
    const job = Job.start(cronTime, callback, description);
    this.JOBS.push(job);
  }

  static _startJobs() {
    // Override this method if you want to start jobs.
  }

}
