import Log from "./Log.js";
import LogFmt from "./LogFmt.js";

export default class Measure {

  static sync(name, callback) {
    const start = Date.now();
    const data = callback();

    const duration = Date.now() - start;
    this._log(duration, name);
    return data;
  }

  static async async(name, callback) {
    const start = Date.now();
    const data = await callback();

    const duration = Date.now() - start;
    this._log(duration, name);
    return data;
  }

  static _log(milliseconds, name) {
    Log.debug(
      LogFmt.msg('Finished measuring')
        .tag('measure')
        .string('measure_name', name)
        .decimal('elapsed_ms', milliseconds)
        .log()
    );
  }

}
