export default class StringListUtil {

  static toLargerLength(list, emptySpaceSymbol = ' ') {
    const maxSize = this.largerFromList(list);
    const result = [];
    for (const string of list) {
      const difference = maxSize - string.length;
      result.push(string + emptySpaceSymbol.repeat(difference));
    }
    return result;
  }

  static largerFromList(list) {
    let maxSize = 0;
    for (const string of list) {
      if (string.length > maxSize) {
        maxSize = string.length;
      }
    }
    return maxSize;
  }

  static concatContent(listOne, listTwo, separator = '') {
    const result = [];
    let index = 0;
    for (const objectOne of listOne) {
      const objectTwo = listTwo[index];
      result.push(objectOne + separator + objectTwo);
      index++;
    }
    return result;
  }

}
