import assert from 'assert';
import Encriptor from '../src/Encriptor.js';

describe('Encriptor.js', () => {
  const password = 'strongpassword';
  const salt = 'randomsalt';
  const message = 'Hello, World!';

  let encriptor;
  before(() => {
    encriptor = new Encriptor(password, salt);
  });

  it('should correctly encrypt a message', () => {
    const encrypted = encriptor.encrypt(message);

    assert.strictEqual(typeof encrypted, 'string');
    assert.notEqual(encrypted, message);
  });

  it('should return the same text after encrypt and decrypt', () => {
    const encrypted = encriptor.encrypt(message);
    const decrypted = encriptor.decrypt(encrypted);

    assert.strictEqual(typeof decrypted, 'string');
    assert.strictEqual(decrypted, message);
  });

});
