import assert from 'assert';
import FilePathChecker from '../src/FilePathChecker.js';

describe('FilePathChecker.js', function() {

  describe('#isJavaScript(path)', function() {

    it('correctly returns true for javascript path', function() {
      assert.ok(FilePathChecker.isJavaScript('/migration.js'));
      assert.ok(FilePathChecker.isJavaScript('/migration.mjs'));
    });

    it('correctly returns false for other paths', function() {
      assert.ok(!FilePathChecker.isJavaScript('/this/is/a/directory'));
      assert.ok(!FilePathChecker.isJavaScript('/index.html'));
      assert.ok(!FilePathChecker.isJavaScript('/style.css'));
      assert.ok(!FilePathChecker.isJavaScript('/script.php'));
      assert.ok(!FilePathChecker.isJavaScript('/h4ck.py'));
    });

  });

});
